View Issue Details

IDProjectCategoryView StatusLast Update
0000612DCP-o-matic[All Projects] Bugspublic2015-07-08 15:50
ReportercarlAssigned Tocarl 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformOSWindowsOS Version
Product Version 
Target Version2.2.0Fixed in Version 
Summary0000612: Missing or wrong Liberation Sans font file on Windows
DescriptionCould not read font file
(asmargeorges@ecsfilms.com)

log head and tail:
---<8----
Wed Jun 17 23:45:52 2015: Video length obtained from header as 240 frames
Wed Jun 17 23:48:18 2015: DCP-o-matic 2.1.3 git 4faabebb78 using libopenjpeg 1.5.0, libavcodec 56.39.100, libavfilter 5.16.101, libavformat 56.33.101, libavutil 54.23.101, libswscale 3.1.101, ImageMagick 6.8.7-10 Q16 x86_64 2015-04-13 http://www.imagemagick.org, libssh 0.5.2/openssl/zlib, libdcp 1.1.0 git ac61dae8e6
Wed Jun 17 23:48:18 2015: Host name VAIO
Wed Jun 17 23:48:18 2015: DCP-o-matic built in optimised mode.
Wed Jun 17 23:48:18 2015: libdcp built in optimised mode.
Wed Jun 17 23:48:18 2015: Windows version 6.2.9200 SP 0x23e5e4
Wed Jun 17 23:48:18 2015: Built for 64-bit
Wed Jun 17 23:48:18 2015: CPU: Intel(R) Core(TM) i7-3630QM CPU @ 2.40GHz
Wed Jun 17 23:48:18 2015: Content: Group PIc.jpg 9e862a5839a0c1051c240c07b1cc7a00635868 0 - video: length 120 frames, size 2048x1367, rate 24 - still
Wed Jun 17 23:48:18 2015: Content: test.srt 79b2bf52db14a8a4ebaf5914d2ecacdf64 0 - SubRip subtitles
Wed Jun 17 23:48:18 2015: DCP video rate
 .
 .
 .
un 17 23:48:21 2015: Writer REPEAT-writes 110
Wed Jun 17 23:48:21 2015: Writer REPEAT-writes 111
Wed Jun 17 23:48:21 2015: Writer REPEAT-writes 112
Wed Jun 17 23:48:21 2015: Writer REPEAT-writes 113
Wed Jun 17 23:48:21 2015: Writer REPEAT-writes 114
Wed Jun 17 23:48:21 2015: Writer REPEAT-writes 115
Wed Jun 17 23:48:21 2015: Writer REPEAT-writes 116
Wed Jun 17 23:48:21 2015: Writer REPEAT-writes 117
Wed Jun 17 23:48:21 2015: Writer REPEAT-writes 118
Wed Jun 17 23:48:21 2015: Writer REPEAT-writes 119
Wed Jun 17 23:48:21 2015: Writer FULL-writes 120 (0)
Wed Jun 17 23:48:21 2015: ERROR: could not read font file (C:\Program Files\DCP-o-matic 2\LiberationSans-Regular.ttf) (error -1)
Wed Jun 17 23:48:21 2015: ERROR: An error occurred whilst handling the file "LiberationSans-Regular.ttf".
Wed Jun 17 23:48:21 2015: ERROR: Error in job: could not read font file (C:\Program Files\DCP-o-matic 2\LiberationSans-Regular.ttf) (error -1) (An error occurred whilst handling the file "LiberationSans-Regular.ttf".)

---<8----

metadata.xml:
---<8----
<?xml version="1.0"?>
<Metadata>
  <Version>32</Version>
  <Name>TEST</Name>
  <UseISDCFName>1</UseISDCFName>
  <DCPContentType>FTR</DCPContentType>
  <Container>185</Container>
  <Resolution>2K</Resolution>
  <J2KBandwidth>100000000</J2KBandwidth>
  <ISDCFMetadata>
    <ContentVersion>1</ContentVersion>
    <AudioLanguage></AudioLanguage>
    <SubtitleLanguage></SubtitleLanguage>
    <Territory></Territory>
    <Rating></Rating>
    <Studio></Studio>
    <Facility></Facility>
    <PackageType></PackageType>
    <TempVersion>0</TempVersion>
    <PreRelease>0</PreRelease>
    <RedBand>0</RedBand>
    <Chain></Chain>
    <TwoDVersionOfThreeD>0</TwoDVersionOfThreeD>
    <MasteredLuminance></MasteredLuminance>
  </ISDCFMetadata>
  <VideoFrameRate>24</VideoFrameRate>
  <ISDCFDate>20150617</ISDCFDate>
  <AudioChannels>6</AudioChannels>
  <ThreeD>0</ThreeD>
  <SequenceVideo>1</SequenceVideo>
  <Interop>0</Interop>
  <BurnSubtitles>0</BurnSubtitles>
  <Signed>1</Signed>
  <Encrypted>0</Encrypted>
  <Key>d8b2c5a33691760d48f26345dc3c094d</Key>
  <Playlist>
    <Content>
      <Type>Image</Type>
      <Path>C:\Users\User\Desktop\Group PIc.jpg</Path>
      <Digest>9e862a5839a0c1051c240c07b1cc7a00635868</Digest>
      <Position>0</Position>
      <TrimStart>0</TrimStart>
      <TrimEnd>0</TrimEnd>
      <VideoLength>120</VideoLength>
      <VideoWidth>2048</VideoWidth>
      <VideoHeight>1367</VideoHeight>
      <VideoFrameRate>24</VideoFrameRate>
      <VideoFrameType>0</VideoFrameType>
      <LeftCrop>0</LeftCrop>
      <RightCrop>0</RightCrop>
      <TopCrop>0</TopCrop>
      <BottomCrop>0</BottomCrop>
      <Scale>
        <Scale>1</Scale>
      </Scale>
      <ColourConversion>
        <InputTransferFunction>
          <Type>ModifiedGamma</Type>
          <Power>2.4</Power>
          <Threshold>0.04045</Threshold>
          <A>0.055</A>
          12.92
        </InputTransferFunction>
        <RedX>0.64</RedX>
        <RedY>0.33</RedY>
        <GreenX>0.3</GreenX>
        <GreenY>0.6</GreenY>
        <BlueX>0.15</BlueX>
        <BlueY>0.06</BlueY>
        <WhiteX>0.3127</WhiteX>
        <WhiteY>0.329</WhiteY>
        <OutputGamma>2.6</OutputGamma>
      </ColourConversion>
      <FadeIn>0</FadeIn>
      <FadeOut>0</FadeOut>
    </Content>
    <Content>
      <Type>SubRip</Type>
      <Path>C:\Users\User\Desktop\test.srt</Path>
      <Digest>79b2bf52db14a8a4ebaf5914d2ecacdf64</Digest>
      <Position>0</Position>
      <TrimStart>0</TrimStart>
      <TrimEnd>0</TrimEnd>
      <UseSubtitles>1</UseSubtitles>
      <SubtitleXOffset>0</SubtitleXOffset>
      <SubtitleYOffset>0</SubtitleYOffset>
      <SubtitleXScale>1</SubtitleXScale>
      <SubtitleYScale>1</SubtitleYScale>
      <SubtitleLanguage></SubtitleLanguage>
      <Font>
        <Id>font</Id>
      </Font>
      <Length>240000</Length>
    </Content>
  </Playlist>
</Metadata>
---<8----
TagsNo tags attached.
Estimated work requiredAverage

Activities

carl

2015-06-18 21:10

administrator   ~0000698

Fixed by libdcp commit 13db82c73af330ffbc7a813cd38c5bef36d5b54c.

Issue History

Date Modified Username Field Change
2015-06-17 23:29 carl New Issue
2015-06-18 21:10 carl Note Added: 0000698
2015-06-18 21:10 carl Status new => resolved
2015-06-18 21:10 carl Resolution open => fixed
2015-06-18 21:10 carl Assigned To => carl
2015-07-08 15:50 carl Status resolved => closed